<?php
 /**
 *      [XCECP] (C) COLNET Inc.
 *      This is NOT a freeware, use is subject to license terms
 */
if(!defined("IN_QKWEB")){exit("Access Denied");}
function smarty_function_editor($params, $template)
{	
    $allCount = (isset($params['allCount']) && settype($params['allCount'],"integer"))?$params['allCount']:0;
	$url = str_replace("index.php","",$_SERVER["PHP_SELF"]);
	$content="";
	if(isset($params['content']) && $params['content']){$content = $params['content'];}
	$limit = $template->getTemplateVars("limit");
	$cat = $template->getTemplateVars("cat");
	global $cfg_editor;
	$editor = new Editor();
	$editor->setContent($content);
	$retval = $editor->html($cfg_editor);

    return $retval;
}

?>